## edu.cwru.SimpleRTS.model.unit
Class Unit.UnitView

    java.lang.Object
      edu.cwru.SimpleRTS.model.unit.Unit.UnitView

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Unit

    public static class Unit.UnitView

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Unit.UnitView(Unit unit)`

Method Summary
`int` `getCargoAmount()`
`ResourceType` `getCargoType()`
`int` `getHP()`
`int` `getID()`
`int` `getPlayer()`
`UnitTask` `getTask()`
`UnitTemplate.UnitTemplateView` `getTemplateView()`
`int` `getXPosition()`
`int` `getYPosition()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Unit.UnitView

    public Unit.UnitView(Unit unit)

Method Detail

### getHP

    public int getHP()

### getPlayer

    public int getPlayer()

### getCargoAmount

    public int getCargoAmount()

### getCargoType

    public ResourceType getCargoType()

### getXPosition

    public int getXPosition()

### getYPosition

    public int getYPosition()

### getTemplateView

    public UnitTemplate.UnitTemplateView getTemplateView()

### getTask

    public UnitTask getTask()

### getID

    public int getID()